package com.uoc.educationalVG.framework;

import com.uoc.educationalVG.framework.Graphics.PixmapFormat;

public interface Pixmap {
	/**
	 * @return the width of the Pixmap in pixels
	 */
	public int getWidth();

	/**
	 * @return the height of the Pixmap in pixels
	 */
	public int getHeight();

	/**
	 * @return the PixelFormat that the Pixmap is stored with in RAM.
	 */
	public PixmapFormat getFormat();

	/**
	 * Pixmap instances use up memory and potentially other system resources. If
	 * we no longer need them, we should dispose of them with this method.
	 */
	public void dispose();
}
